<?php

/*
 * PuzzleApp
 * Webemyos
 * Jérôme Oliva
 * GNU Licence
 */

namespace Apps\Reward\Entity;

use Core\Entity\Entity\Entity;
use Core\Entity\Entity\Property;
use Core\Entity\Entity\EntityProperty;

class RewardGifts extends Entity {

    //Constructeur
    function __construct($core) {
        //Version
        $this->Version = "2.0.0.0";

        //Nom de la table 
        $this->Core = $core;
        $this->TableName = "RewardGifts";
        $this->Alias = "RewardGifts";

        $this->Name = new Property("Name", "Name", TEXTAREA, false, $this->Alias);
        $this->Description = new Property("Description", "Description", TEXTAREA, false, $this->Alias);
        $this->Points = new Property("Points", "Points", NUMERICBOX, false, $this->Alias);

        //Creation de l entité 
        $this->Create();
    }
}

?>